TweakFS Zip Utility Buffer Overflow Exploit

The vulnerability is caused due to a boundary error when processing archives containing an entry with an overly long name. This can be exploited to cause a stack-based buffer overflow by tricking a user into opening a specially crafted .ZIP file.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2010-1458
Product Version: 
10.5
Released Date: 
Tuesday, June 15, 2010 - 00:00